Loading...
Searching...
No Matches
snmp.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/ip_addr.h"`

## Macros

#define | MIB2_COPY_SYSUPTIME_TO(ptrToVal)
#define | MIB2_STATS_NETIF_INC(n, x)
#define | MIB2_STATS_NETIF_ADD(n, x, val)
#define | MIB2_INIT_NETIF(netif, type, speed)

## Enumerations

enum | snmp_ifType

## Detailed Description

SNMP support API for implementing netifs and statistics for MIB2

## Macro Definition Documentation

## MIB2_COPY_SYSUPTIME_TO

#define MIB2_COPY_SYSUPTIME_TO | ( |  | ptrToVal | ) |

Value:
(*(ptrToVal) = (sys_now() / 10))
sys_now
u32_t sys_now(void)

This macro has a precision of ~49 days because sys_now returns u32_t. #define your own if you want ~490 days.